<<* APPLAB1.INC *>>

<<#
procedure AskLabelFlds
integer Fname,Lname,Company,Address,City,State,Zip,Country
begin
  askfor field to Fname   message "Select FIRST NAME for labels"
  askfor field to Lname   message "Select LAST NAME for labels"
  askfor field to Company message "Select COMPANY for labels;  press ESC if none"
  askfor field to Address message "Select ADDRESS for labels"
  askfor field to City    message "Select CITY for labels"
  askfor field to State   message "Select STATE for labels"
  askfor field to Zip     message "Select ZIP for labels"
  askfor field to Country message "Select COUNTRY for labels;  press ESC if none"
  if (Fname>0) and (Lname>0) and (City>0) and (State>0) and (Zip>0)
    genln( '?' )
    select field Fname
    gen( '? indent,TRIM(',fixfldnam,')+" "+TRIM(' )
    select field Lname
    genln( fixfldnam,')' )
    if Company  <<*Company*>>
      select field Company
      genln( 'IF ""<>TRIM(',fixfldnam,')' )
      genln( '   ? indent,TRIM(',fixfldnam,')' )
      genln( 'ENDIF' )
    endif
    select field Address
    genln( '? indent,TRIM(',fixfldnam,')' )
    select field City
    gen( '? indent,TRIM(',fixfldnam,')+", "+TRIM(' )
    select field State
    gen( fixfldnam,')+"  "+' )
    select field Zip
    genln( fixfldnam )
    if Country
      select field Country
      genln( 'IF ""<>TRIM(',fixfldnam,')' )
      genln( '   ? indent,TRIM(',fixfldnam,')' )
      genln( 'ENDIF' )
    endif
    genln( '?' )
  else
    genln( '* ---<none>.' )
  endif
end AskLabelFlds
#>>


<<procedure GenOneLabel>>
<<begin>>
PARAMETER row
* ---Send one label to printer.
PRIVATE indent
indent = ""
DO SayLine WITH row,"Is PRINTER ready? (y/n)"
DO GetKey WITH choice,"YN"+Returnkey
IF choice = "Y"
   DO SayLine WITH row,"Printing label..."
   SET ESCAPE ON
   SET CONSOLE OFF
   SET PRINT ON
   * ---Label format follows.
<<#
   select fields on (fldtyp = 'C') and (fldals <> 'M')
   if fldtotal > 0
     pushmargin(1)
     AskLabelFlds
     popmargin
   endif
#>>
   SET PRINT OFF
   SET CONSOLE ON
   SET ESCAPE OFF
   DO SayLine WITH row,"Send FORMFEED to printer? (y/n)"
   DO GetKey WITH choice,"YN"+Returnkey
   IF choice = "Y"
      EJECT
   ENDIF
ENDIF
<<end GenOneLabel>>

<<* EOF: APPLAB1.INC *>>
