<<* APPREPO.INC *>>

<<procedure GenReportBody>>
<<begin>>
PRIVATE filename,savrecnum
savrecnum = RECNO()
<<GenColor( 0,'SCREEN' )>>
CLEAR
@  0, 0 SAY "P R I N T    R E P O R T"
@  0,72 SAY DATE()
@  1, 0 SAY PromptBar
* ---Display report forms.
@  5, 0 SAY REPLICATE( CHR(22),80 )
@  6, 0 SAY {"}Directory of {fileprefix}_*.FRM{"}
DIR {fileprefix}_*.FRM
filename = "    "
@  3, 0 SAY {"}Enter REPORT FORM filename: {fileprefix}_    .FRM{"}
@  3,32 GET filename PICTURE "@!"
READ
* ---Remove the file extension.
filename = UPPER( filename + "." )
filename = TRIM( SUBSTR( filename,1,AT(".",filename)-1 ) )
IF "" = filename
   RETURN
ENDIF
filename = {"}{fileprefix}_{"} + filename + ".FRM"
* ---If the file does not exist, create it or exit.
IF .NOT. FILE( filename )
   choice = " "
   @ 3,0 CLEAR
   @ 3,0 SAY filename + " does not exist.  CREATE IT? (y/n)";
         GET choice PICTURE "!"
   READ
   IF choice <> "Y"
      RETURN
   ENDIF
   CREATE REPORT &filename
   RETURN
ENDIF
*
* ---Get the FOR <exp>.
expr = ""
choice = " "
@ 2,0 CLEAR
@ 3,0 SAY "Specify a CONDITION on the output? (y/n)" GET choice PICTURE "!"
READ
IF choice = "Y"
  <<select database 8>>  <<*Is SELECT H being used?*>>
  <<if dbfnam>>          <<*Yes, then use old <expr> system...*>>
   DO {fileprefix}_EXPR WITH expr
  <<else>>               <<*No, use new and improved...*>>
   DO {fileprefix}_COND WITH expr
  <<endif>>
   IF "" <> TRIM( expr )
      * ---Check for valid LOGICAL expression.
      IF TYPE( expr ) <> "L"
         expr = ""
      ENDIF
   ENDIF
ENDIF
* ---Screen or printer selection.
choice = " "
@ 2,0 CLEAR
@ 3,0 SAY "Output to the (S)creen or (P)rinter?" GET choice PICTURE "!"
READ
* ---Print the report.
DO CASE
CASE choice = " "
   RETURN
CASE choice = "P"
   @ 3,0 CLEAR
   @ 3,0 SAY "Printing report..."
   SET ESCAPE ON
   SET CONSOLE OFF
   IF "" <> TRIM( expr )
      REPORT FORM &filename FOR &expr HEADING expr NOEJECT TO PRINT
   ELSE
      REPORT FORM &filename NOEJECT TO PRINT
   ENDIF
   EJECT
   SET CONSOLE ON
   SET ESCAPE OFF
OTHERWISE
  <<GenColor( 0,'SCREEN' )>>
   CLEAR
   SET ESCAPE ON
   IF "" <> TRIM( expr )
      REPORT FORM &filename HEADING expr FOR &expr
   ELSE
      REPORT FORM &filename
   ENDIF
   SET ESCAPE OFF
   WAIT
ENDCASE
IF savrecnum > 0
   GOTO savrecnum
ENDIF
<<end>> <<*GenReportBody*>>

<<* EOF: APPREPO.INC *>>
