<<* FMTPROC.INC *>>

<<procedure GenOneForm>>
<<begin>>

PROCEDURE {fileprefix}_FORM
<<#
  pushmargin( 1 )
  GenFormHead
  GenFormBody
  popmargin
#>>
RETURN

<<end>> <<*GenOneForm*>>


<<procedure GenOneSays>>
<<begin>>

PROCEDURE {fileprefix}_SAYS
<<#
  pushmargin( 1 )
  GenMemInit
  GenMemCalc
  GenSaysBody
  popmargin
#>>
RETURN

<<end>> <<*GenOneSays*>>


<<procedure GenOneStore>>
<<begin>>

PROCEDURE {fileprefix}_STOR
<<#
  pushmargin( 1 )
  genln( '* ---Initialize memvars with field contents.' )
  select on databases,fields
  select all fields
  forall (fldtyp $ 'CDLN') and (fldals <> 'M') and fldget
    genln( 'STORE ',ljust( fldnam,10 ),' TO ',fixfldnam )
  endfor
  popmargin
#>>
RETURN

<<end>> <<*GenOneStore*>>


<<procedure GenOneReplace>>
<<begin>>

PROCEDURE {fileprefix}_REPL
<<#
  pushmargin( 1 )
  genln( 'IF .NOT. EOF()' )
  genln( '* ---Replace only if there is an available record.' )
  select on databases,fields
  select all fields
  select fields on (fldtyp $ 'CDLN') and (fldals <> 'M') and fldget
  if fldtotal > 0
    GenReplaceFlds
  endif
  select all fields
  genln( 'ENDIF' )
  popmargin
#>>
RETURN

<<end>> <<*GenOneReplace*>>


<<procedure GenOneGets>>
<<begin>>

PROCEDURE {fileprefix}_GETS
<<#
  pushmargin( 1 )
  GenMemInit         <<*Selects database 0!*>>
  select database 1  <<*Re-select database 1*>>
  GenGetsBody
  GenCalcBody
  popmargin
#>>
RETURN

<<end>> <<*GenOneGets*>>


<<#
procedure GenProcFile( fspec : string )
begin
  if OpenFile( fspec,'PROCEDURE file for ' + datafile + '.DBF' )
    GenOneForm
    GenOneSays
    GenKeysProc
    GenOneGets
    GenOneStore
    GenOneReplace
    filespec( fspec,fpath,fname,fext )
    genln( '* EOF: ',fname,'.PRG'  )
  end
end GenProcFile
#>>

<<* EOF: FMTPROC.INC *>>
