<<* GENFILE.INC *>>
<<#

procedure pushmargin( indentlevel : integer )
begin
  <<*---Save old value on stack---*>>
  push( lmargin )
  <<*---indent space(3) at a time---*>>
  set lmargin to lmargin + (indentlevel * 3)
end pushmargin


procedure popmargin
integer margin
begin
  <<*---Retrieve old value from stack---*>>
  pop( margin )
  set lmargin to margin
end popmargin


procedure GenHeader( fspec,notes : string )
begin
  filespec( fspec,fpath,fname,fext )
  genln( '* Program.: ',fname,'.',fext )
  genln( '* Author..: ',Author )
  genln( '* Date....: ',DATE )
  genln( '* Notice..: Copyright (c) ',substr(systemdate,7,4),', ',Copyright )
  gen(   '* Version.: ' )
  genln( 'FoxBASE+, revision 2.10' )
  genln( '* Notes...: ',notes )
  genln( '*' )
end GenHeader


procedure GenFooter( fspec : string )
begin
  filespec( fspec,fpath,fname,fext )
  if fext = 'PRG'
    genln( 'RETURN' )
  else
    genln( '*' )
  endif
  genln( '* EOF: ',fname,'.',fext  )
end GenFooter


function OpenFile( fspec,notes : string ) : logical
begin
  if rewrite( fspec ) = 0
    GenHeader( fspec,notes )
    RETURN true
  else
    RETURN false
  endif
end OpenFile

<<* EOF: GENFILE.INC *>>
#>>
