<<* GENFMT.INC *>>
<<#

procedure WriteLabels
integer lasthue
begin
  lasthue := 32000
  forall not fldnap
    if (fldhue <> lasthue)
      genln( 'SET COLOR TO ',AtrCode( fldhue ) )
      lasthue := fldhue
    endif
    genLABEL
  endfor
end <<*WriteLabels*>>


procedure WriteFields
begin
  forecolor := 32000   <<*Force SET COLOR TO*>>
  backcolor := 32000
  forall (fldtyp $ 'CDLNM') and (not fldnap)
    GenColorAtr
    genFIELD
  endfor
end <<*WriteFields*>>


procedure GenPlusFormat
begin
  forall pages
    WriteLabels
    genln( '*' )
    WriteFields
    if pagcount <> pagtotal
      genln( 'READ' )
    endif
  endfor
end <<*GenPlusFormat*>>


procedure GenOneFormat
begin
  genln( 'SET COLOR TO ',ScreenColor )
  genln( 'CLEAR' )
  genln( 'SET COLOR TO ',StatusColor )
  genln( '@  0, 0 SAY "Record: " + SUBSTR( STR(RECNO()+1000000,7),2 )' )
  WriteLabels
  genln( '*' )
  WriteFields
end <<*GenOneFormat*>>


procedure GenFormat( fspec : string )
string filename
begin
  filespec( fspec,fpath,fname,fext )
  fspec := fpath + fname + '.FMT'
  if OpenFile( fspec,'Format file for ' + datafile + '.DBF' )
    GenPlusFormat
    GenFooter( fspec )
  endif
end <<*GenFormat*>>

<<* EOF: GENFMT.INC *>>
#>>
